Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IPersistableElement

All Superinterfaces:
  IPersistable

All Known Subinterfaces:
  IAggregateWorkingSet, IWorkingSet

All Known Implementing Classes:
  FileEditorInput, FileInPlaceEditorInput, FileStoreEditorInput

    public interface IPersistableElement

extends IPersistable

Interface for asking an object to store its state in a memento.

This interface is typically included in interfaces where persistance is required.

When the workbench is shutdown objects which implement this interface will be persisted. At this time the `getFactoryId` method is invoked to discover the id of the element factory that will be used to re-create the object from a memento. Then the `saveState` method is invoked to store the element data into a newly created memento. The resulting mementos are collected up and written out to a single file.

During workbench startup these mementos are read from the file. The factory Id for each is retrieved and mapped to an `IElementFactory` which has been registered in the element factory extension point. If a factory exists for the Id it will be engaged to re-create the original object.

See Also:
  `IAdaptable`, `IMemento`, `IElementFactory`

Method Summary
`String` `getFactoryId()` Returns the id of the element factory which should be used to re-create this object.

Methods inherited from interface org.eclipse.ui.IPersistable
`saveState`

Method Detail

### getFactoryId

    String getFactoryId()

  Returns the id of the element factory which should be used to re-create this object.

  Factory ids are declared in extensions to the standard extension point `"org.eclipse.ui.elementFactories"`.

  Returns:
    the element factory id
  See Also:
    `IElementFactory`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.